
Member Nodes - Task #5814

MNDeployment # 4700 (Operational): IARC (International Arctic Research Center) Data Archive

Task # 5759 (Closed): IARC: Testing

Task # 5788 (Closed): IARC: Registration in environment (production)

Task # 5811 (Closed): IARC: Authentication and Authorization

IARC: Log record access

2014-07-17 20:54 - Roger Dahl

Status: Closed Start date: 2014-07-17

Priority: Normal Due date:  

Assignee: Mark Servilla % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Verify that Log Records can be accessed only as allowed by the MN policy.

History

#1 - 2014-08-12 16:19 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Deploy by end of Y1Q1

#2 - 2014-10-24 16:36 - Laura Moyers

- Target version changed from Deploy by end of Y1Q1 to Deploy by end of NCTE

#3 - 2015-05-11 20:07 - Mark Servilla

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 0 to 100

- Status changed from New to Closed

The MN urn:node:IARC correctly blocks non-authorized users from accessing log records:

curl -s -X GET https://trusty.iarc.uaf.edu/mn/v1/log?count=0 | xml fo

<?xml version="1.0"?>

Access allowed only for DataONE infrastructure. Active subjects: public (primary). Trusted subjects: CN=urn:node:CN,DC=dataone,DC=org,

CN=urn:node:CNORC1,DC=dataone,DC=org, CN=urn:node:CNUCSB1,DC=dataone,DC=org, CN=urn:node:CNUNM1,DC=dataone,DC=org,

CN=urn:node:IARC,DC=dataone,DC=org

The MN urn:node:IARC correctly allows authorized users from accessing log records:

curl -i -E ./urn_node_CNUCSB1.pem -X GET https://trusty.iarc.uaf.edu/mn/v1/log?count=0

HTTP/1.1 200 OK

Date: Mon, 11 May 2015 20:04:21 GMT

Server: Apache/2.4.7 (Ubuntu)

Last-Modified: Thu, 01 Jan 1970 00:00:00 GMT

Content-Length: 116

Vary: Accept-Encoding

Content-Type: application/xml

<?xml version="1.0" ?>

2024-04-27 1/2

https://trusty.iarc.uaf.edu/mn/v1/log?count=0
https://trusty.iarc.uaf.edu/mn/v1/log?count=0


#4 - 2015-05-11 20:08 - Mark Servilla

- Assignee set to Mark Servilla

- Estimated time set to 0.00

Powered by TCPDF (www.tcpdf.org)

2024-04-27 2/2

http://www.tcpdf.org

